API

Wikidata API

The AI-powered Wikidata Entities Monitor provides 360° Global Media Data & Intelligence on Wikidata is a collaboratively maintained knowledge base with more than 121 million items covering people, organizations, places, works, and concepts. It is important for entity resolution, knowledge graphs, search enrichment, and structured research.

Documentation API Version: 1.0.0 10 Endpoints Authentification
Wikidata Entities Monitor

URL de base

https://pressmonitor.ca/api

Authentification

Toutes les requetes necessitent les en-tetes x-api-key et x-subscription-id. x-api-key authentifie votre compte ; x-subscription-id selectionne le service souscrit.

x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID
GET /suggest_entities

Suggest Entities

Paramètres

Nom Type Emplacement Obligatoire Description
query_text string query Oui Query Text
lang string query Non Lang
limit string query Non Limit
offset string query Non Offset

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/suggest_entities?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès
GET /search/by_label

Rechercher Entities Par Label

Paramètres

Nom Type Emplacement Obligatoire Description
query_text string query Oui Query Text
lang string query Non Lang
limit string query Non Limit
offset string query Non Offset

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/search/by_label?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès
GET /search/by_description

Rechercher Entities Par Description

Paramètres

Nom Type Emplacement Obligatoire Description
query_text string query Oui Query Text
lang string query Non Lang
limit string query Non Limit
offset string query Non Offset

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/search/by_description?query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès
GET /search/by_type

Rechercher Entities Par Type

Paramètres

Nom Type Emplacement Obligatoire Description
type string query Oui Type
query_text string query Non Query Text
lang string query Non Lang
limit string query Non Limit
offset string query Non Offset

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/search/by_type?type=VALUE&query_text=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès
GET /search/by_claim

Rechercher Entities Par Claim Value

Paramètres

Nom Type Emplacement Obligatoire Description
property string query Oui Property
value string query Non Value
mode string query Non Mode
lang string query Non Lang
limit string query Non Limit
offset string query Non Offset

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/search/by_claim?property=VALUE&value=VALUE&mode=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès
GET /find/by_property

Rechercher Entities Par Property

Paramètres

Nom Type Emplacement Obligatoire Description
property string query Oui Property
value string query Non Value
qualifier string query Non Qualifier
rank string query Non Rank
lang string query Non Lang
limit string query Non Limit
offset string query Non Offset

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/find/by_property?property=VALUE&value=VALUE&qualifier=VALUE&rank=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès
GET /search/temporal

Rechercher Entities Par Date Range

Paramètres

Nom Type Emplacement Obligatoire Description
property string query Oui Property
from string query Non From
to string query Non To
value string query Non Value
lang string query Non Lang
limit string query Non Limit
offset string query Non Offset

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/search/temporal?property=VALUE&from=VALUE&to=VALUE&value=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès
GET /entities/$0

Obtenir Entity Par Id

Paramètres

Nom Type Emplacement Obligatoire Description
wikidata_id string query Oui Wikidata Id
lang string query Non Lang

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/entities/$0?wikidata_id=VALUE&lang=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès
GET /entities/$0/claims

Obtenir Entity Claims

Paramètres

Nom Type Emplacement Obligatoire Description
wikidata_id string query Oui Wikidata Id
lang string query Non Lang
limit string query Non Limit
offset string query Non Offset

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/entities/$0/claims?wikidata_id=VALUE&lang=VALUE&limit=VALUE&offset=VALUE" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès
GET /properties

Obtenir Properties

Exemples de code

curl -X GET \
  "https://pressmonitor.ca/api/properties" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "x-subscription-id: YOUR_SUB_ID"

Réponses

200 Succès